Avro C++

Public Types | Public Member Functions | List of all members
avro::LogicalType Class Reference

## Public Types
enum | Type { NONE, DECIMAL, DATE, TIME_MILLIS, TIME_MICROS, TIMESTAMP_MILLIS, TIMESTAMP_MICROS, DURATION, UUID }

## Public Member Functions
| LogicalType (Type type)
Type | type () const
void | setPrecision (int precision)
int | precision () const
void | setScale (int scale)
int | scale () const
void | printJson (std::ostream &os) const

The documentation for this class was generated from the following file:

- api/LogicalType.hh